=== debian/changelog ===
pylint (1.4.1-1) precise; urgency=low

  * new upstream release

 -- Ionel Cristian Maries <contact@ionelmc.ro>  Sun, 15 Feb 2015 12:11:44 +0200

pylint (1.2.1-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Wed, 30 Apr 2014 17:56:29 +0200

pylint (1.2.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Fri, 18 Apr 2014 15:32:32 +0200

pylint (1.1.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Sun, 22 Dec 2013 23:44:15 +0100

pylint (1.0.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 30 Jul 2013 18:18:06 +0200

pylint (0.28.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Thu, 25 Apr 2013 09:43:01 +0200

pylint (0.27.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 26 Feb 2013 23:40:46 +0100

pylint (0.26.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Fri, 05 Oct 2012 11:40:08 +0200

pylint (0.25.2-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 17 Jul 2012 17:04:15 +0200

pylint (0.25.1-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Thu, 08 Dec 2011 15:27:47 +0100

pylint (0.25.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Fri, 07 Oct 2011 12:16:29 +0200

pylint (0.24.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Mon, 18 Jul 2011 16:03:24 +0200

pylint (0.23.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 11 Jan 2011 15:41:02 +0100

pylint (0.22.0-1) unstable; urgency=low

  * new upstream release

 -- Émile Anclin <emile.anclin@logilab.fr>  Mon, 15 Nov 2010 15:54:44 +0100

pylint (0.21.4-1) unstable; urgency=low

  * new upstream release

 -- Emile Anclin <emile.anclin@logilab.fr>  Thu, 27 Oct 2010 13:54:44 +0100

pylint (0.21.3-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 28 Sep 2010 14:43:33 +0200

pylint (0.21.2-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Thu, 26 Aug 2010 10:03:54 +0200

pylint (0.21.1-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Fri, 04 Jun 2010 16:07:42 +0200

pylint (0.21.0-2) UNRELEASED; urgency=low

  [ Julien Jehannet ]
  * can now retrieve pristine tarball thanks to optional get-orig-source target

  [ Sylvain Thénault ]
  * update man-page according to 0.21 usage (Closes: #582494)

 -- Julien Jehannet <julien.jehannet@logilab.fr>  Tue, 25 May 2010 12:49:44 +0200

pylint (0.21.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 11 May 2010 12:27:09 +0200

pylint (0.20.0-1) unstable; urgency=low

  * new upstream release
   - use Daniel Harding patch for windows batch (Closes: #475939)

 -- Emile Anclin <emile.anclin@logilab.fr>  Thu, 23 Jan 2010 16:54:44 +0100

pylint (0.19.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Fri, 18 Dec 2009 11:34:44 +0100

pylint (0.18.1-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Thu, 27 Aug 2009 08:37:00 +0200

pylint (0.18.0-2) unstable; urgency=low

  * Python transition, thanks Alessio Treglia for the patch (Closes: #530509)
   - Use --install-layout=deb for setup.py install.
   - Replace site-packages by *-packages.
   - Build-depends on python >= 2.5.4-1~ for --install-layout=deb.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 31 May 2009 01:24:53 +0200

pylint (0.18.0-1) unstable; urgency=low

  * change to python-support
  * update StandardVersion to 3.8.1
  * debian/rules: set NO_SETUPTOOLS when calling python setup.py

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Wed, 25 Mar 2009 09:39:37 +0100

pylint (0.17.0-1) unstable; urgency=low

  * new upstream release

 -- Emile Anclin <emile.anclin@logilab.fr>  Thu, 19 Mar 2009 15:55:35 +0100

pylint (0.16.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Wed, 28 Jan 2009 12:15:07 +0100

pylint (0.15.2-2) unstable; urgency=low

  * debian/control
    - added Vcs-{Svn,Browser} field

 -- Sandro Tosi <morph@debian.org>  Sat, 29 Nov 2008 14:44:41 +0100

pylint (0.15.2-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - added under PAPT umbrella (in agreement with Alexandre Fayolle)
    - added me to uploaders
    - moved Homepage field to source stanza
    - bump Standards-Version to 3.8.0
      + added debian/README.source
    - moved python (removing version, since we are in a 2.4+2.5 distribution) to
      build-dep from build-dep-indep (to satisfy clean target needs)
    - added ${python:Depends}, ${misc:Depends} to depends instead of directly
      depending on "python" package
  * debian/watch
    - bump verstion to 3
    - left only the url to scan, adding "opts=pasv" for ftp scan
  * debian/pylint.docs
    - install all doc/ directory files
    - added README and TODO (from debian/rules)
  * debian/rules
    - merged 'rm -f' commands into dh_clean call
    - added "python setup.py clean" call in clean target
    - install upstream "Changelog" using dh_installchangelog
    - removed files passed to dh_installdocs since using debian/pylint.docs and
      because debian/NEWS.Debian is automatically installed
    - using '-delete' find option instead of xargs
    - fix executables shebang with a for loop


