=== debian/control ===
Source: pylint
Section: python
Priority: optional
Maintainer: Logilab S.A. <contact@logilab.fr>
Uploaders: Sylvain Thénault <sylvain.thenault@logilab.fr>,
           Alexandre Fayolle <afayolle@debian.org>,
	   Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 5.0.38), python (>= 2.5)
Build-Depends-Indep: python-support
XS-Python-Version: >= 2.5
Standards-Version: 3.8.2
Homepage: http://www.pylint.org
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/pylint/trunk/
Vcs-Hg: https://bitbucket.org/logilab/pylint
Vcs-Browser: https://bitbucket.org/logilab/pylint/src

Package: pylint
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
	 python-logilab-common (>= 0.53.0),
	 python-astroid (>= 1.2)
Suggests: python-enchant
XB-Python-Version: ${python:Versions}
Description: python code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The included command pyreverse generates UML class and package
 diagrams. The included symilar command is a separated similarities checker.
 .
