=== debian/watch ===
version=3
opts=pasv ftp://ftp.logilab.org/pub/pylint/pylint-(.*)\.tar\.gz
